curl --request POST \
--url https://api.uat.frankie.one/v2/search/matchlists \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'X-Frankie-RequestID: <x-frankie-requestid>' \
--header 'api_key: <api-key>' \
--data '
{
"search": {
"attributes": [
{
"value": "<string>"
}
]
},
"filter": {
"listScope": "DEFAULT",
"searchLists": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}
'import requests
url = "https://api.uat.frankie.one/v2/search/matchlists"
payload = {
"search": { "attributes": [{ "value": "<string>" }] },
"filter": {
"listScope": "DEFAULT",
"searchLists": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
}
}
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"X-Frankie-RequestID": "<x-frankie-requestid>",
"api_key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
'X-Frankie-RequestID': '<x-frankie-requestid>',
api_key: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
search: {attributes: [{value: '<string>'}]},
filter: {listScope: 'DEFAULT', searchLists: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']}
})
};
fetch('https://api.uat.frankie.one/v2/search/matchlists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85",
"matchlists": {},
"entries": [
{
"matchlistId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entry": {
"entryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"reference": "CERT-BAD-ACTOR-1234-5678",
"reasons": [
"<string>"
],
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"attributes": [
{
"attribute": {
"value": "<string>"
},
"confidence": 0.5
}
],
"confidence": 0.5
}
],
"meta": {
"total": 123,
"limit": 123,
"count": 123
}
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Search for matchlist entries
Retrieve all matching entries for the search criteria.
Authorizations
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
GUID identifier for request
"82988375-1F9C-40C7-8543-ECCA0D94CC7C"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Query Parameters
Limit the number of items that will be returned as part of the request
x >= 1Body
Response
OK
All matches for a matchlist search. The entries contain the matchlist ID reference for looking up the matchlist details in matchlists. If there are no matches, empty lists are returned. Results will be ordered by descending entry match confidence for fuzzy searches, and otehrwise by matchlist and entry ID.
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
List of matchlists with at least one matches entry in the entries list. Keyed on the matchlist ID which is also present in entries.
Show child attributes
Show child attributes
The list of matches that match the search criteria. Includes associated match strengths if the search was fuzzy. If no matches were found, the list will be empty.
Show child attributes
Show child attributes
Meta information about the request and response that will be returned during a search operation
Show child attributes
Show child attributes
Was this page helpful?